Subject: Re: bug#5235: 23.1; Unibyte keyboard input problem

From: Eli Zaretskii <[email-masked]>
Date: Sat, 26 Dec 2009 16:30:41 +0200

> From: Tomasz Zbrożek <[email-masked]>
> Date: Sat, 26 Dec 2009 13:45:53 +0100
> Cc: Stefan Monnier <[email-masked]>,
>  [email-masked],
>  Eli Zaretskii <[email-masked]>
> 
> encode \210 char (originally cp852) to cp1250 (because cp1250 is my codepage 
> to save, but of course after saving this char in the file should be cp852 
> coded and it will be when I force cp1250 - this is ok)
> 
> I can't find any way to force emacs not to prompt me with codepage selection, 
> I understand emacs treats it like an error (in his opinion \210 char is 
> wrong) but I would like to set somehow that cp1250 is safe,
> "-*- coding: cp1250 -*-" or modify-coding-system-alist function is not 
> solution
> 
> my only question is: how to configure emacs to omit this codepage selection in 
> such situation? 

Does it help to evaluate the expression below?

   (aset latin-extra-code-table ?\210 t)

Please do that _before_ visiting files which have the \210 character.
Then try to save such a file and see if this helps.

The above only handles the \210 character, so please don't try to use
any other characters whose code is between 128 and 160.  If this
works, it is trivial to cover the entire range, of course.

If the above does not help with cp1250, please try the same with
latin-2 instead (you will have to modify the `coding:' cookie for this
to work).